diff mbox series

[PATCHv2,1/4] scripts/clean-package.sh: exit in case cd fails

Message ID 20200711184528.47605-1-rosenp@gmail.com
State New
Headers show
Series [PATCHv2,1/4] scripts/clean-package.sh: exit in case cd fails | expand

Commit Message

Rosen Penev July 11, 2020, 6:45 p.m. UTC
Found with shellcheck.

Signed-off-by: Rosen Penev <rosenp@gmail.com>
---
 v2: rebased
 scripts/clean-package.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
diff mbox series

Patch

diff --git a/scripts/clean-package.sh b/scripts/clean-package.sh
index 035725625d..cbd12d8799 100755
--- a/scripts/clean-package.sh
+++ b/scripts/clean-package.sh
@@ -9,14 +9,14 @@  IFS=$'\n'
 	exit 1
 }
 cat "$1" | (
-	cd "$2"
+	cd "$2" || exit 1
 	while read entry; do
 		[ -n "$entry" ] || break
 		[ ! -d "$entry" ] || [ -L "$entry" ] && rm -f "$entry"
 	done
 )
 sort -r "$1" | (
-	cd "$2"
+	cd "$2" || exit 1
 	while read entry; do
 		[ -n "$entry" ] || break
 		[ -d "$entry" ] && rmdir "$entry" > /dev/null 2>&1